Get a category
curl --request GET \
--url https://{domain}/api/application/modules/knowledgebase/categories/{category} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{domain}/api/application/modules/knowledgebase/categories/{category}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{domain}/api/application/modules/knowledgebase/categories/{category}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/api/application/modules/knowledgebase/categories/{category}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{domain}/api/application/modules/knowledgebase/categories/{category}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{domain}/api/application/modules/knowledgebase/categories/{category}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/api/application/modules/knowledgebase/categories/{category}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": 1,
"name": "Getting started",
"slug": "getting-started",
"url": "https://billing.example.com/knowledgebase/getting-started",
"description": "First steps with your account and services.",
"game": "Minecraft",
"icon": "book",
"order": 0,
"meta_title": "Install a Minecraft mod",
"meta_description": "Upload a mod and restart your server.",
"articles_count": 1,
"created_at": "2025-12-05T17:56:07Z",
"updated_at": "2025-12-05T17:56:20Z",
"status": "active",
"articles": [
{
"id": 1,
"title": "How to install a mod on your Minecraft server",
"slug": "install-a-minecraft-mod",
"url": "https://billing.example.com/knowledgebase/getting-started/install-a-minecraft-mod",
"description": null,
"icon": null,
"is_featured": true,
"views": 7,
"order": 0,
"og_image": null,
"meta_title": null,
"meta_description": null,
"category": {
"id": 1,
"name": "Getting started",
"slug": "getting-started"
},
"created_at": "2025-12-05T17:57:38Z",
"updated_at": "2026-07-30T07:43:24Z",
"status": "active"
}
]
},
"meta": {
"request_id": "4533b9f4-fddb-4e17-a5db-4c1b9d9494ea"
}
}Knowledge Base
Get a category
One category with its articles (without content). The key API accepts id or slug and includes inactive articles; the public API takes the slug of an active category.
Permission: modules.knowledgebase.articles.read
GET
/
application
/
modules
/
knowledgebase
/
categories
/
{category}
Get a category
curl --request GET \
--url https://{domain}/api/application/modules/knowledgebase/categories/{category} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{domain}/api/application/modules/knowledgebase/categories/{category}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{domain}/api/application/modules/knowledgebase/categories/{category}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/api/application/modules/knowledgebase/categories/{category}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{domain}/api/application/modules/knowledgebase/categories/{category}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{domain}/api/application/modules/knowledgebase/categories/{category}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/api/application/modules/knowledgebase/categories/{category}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": 1,
"name": "Getting started",
"slug": "getting-started",
"url": "https://billing.example.com/knowledgebase/getting-started",
"description": "First steps with your account and services.",
"game": "Minecraft",
"icon": "book",
"order": 0,
"meta_title": "Install a Minecraft mod",
"meta_description": "Upload a mod and restart your server.",
"articles_count": 1,
"created_at": "2025-12-05T17:56:07Z",
"updated_at": "2025-12-05T17:56:20Z",
"status": "active",
"articles": [
{
"id": 1,
"title": "How to install a mod on your Minecraft server",
"slug": "install-a-minecraft-mod",
"url": "https://billing.example.com/knowledgebase/getting-started/install-a-minecraft-mod",
"description": null,
"icon": null,
"is_featured": true,
"views": 7,
"order": 0,
"og_image": null,
"meta_title": null,
"meta_description": null,
"category": {
"id": 1,
"name": "Getting started",
"slug": "getting-started"
},
"created_at": "2025-12-05T17:57:38Z",
"updated_at": "2026-07-30T07:43:24Z",
"status": "active"
}
]
},
"meta": {
"request_id": "4533b9f4-fddb-4e17-a5db-4c1b9d9494ea"
}
}Authorizations
Was this page helpful?

